package com.yunzhi.marketing.xlk.service.impl;

import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.xlk.entity.Brand;
import com.yunzhi.marketing.xlk.mapper.BrandMapper;
import com.yunzhi.marketing.xlk.service.IBrandService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 品牌开发商表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2021-05-13
 */
@Service
public class BrandServiceImpl extends ServiceImpl<BrandMapper, Brand> implements IBrandService {

    /**
     * 获取微信端的品牌开发商
     *
     * @param cityId
     * @param brandName
     * @return
     */
    @Override
    public List<Brand> getWxBrandList(Integer cityId, String brandName,Integer orgId) {
        return this.baseMapper.getWxBrandList(cityId, brandName, orgId);
    }
}
